Skip to main content
DELETE
/
v1
/
collections
/
{id}
/
products
/
{productId}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Remove product from collection
const collection = await solifyn.collections.removeProduct('col_019e56a1...', 'prod_019e56a1...');
console.log('Product Removed:', collection);
{
  "message": "Product deleted successfully"
}

Authorizations

Authorization
string
header
required

Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).

Path Parameters

id
string
required

Collection ID

Example:

"col_123"

productId
string
required

Product ID

Example:

"prod_123"

Response

200 - application/json

Product removed from collection successfully.

message
string
required

Response message indicating the outcome of the action.

Example:

"Product deleted successfully"